<div class="regular-mat-form-field">
  <app-content-banner [isDashboard]="false" pageName="Clinical Assessment" [isTutorialRequired]="true"
    [TutorialPageName]="'clinical-assessment'"></app-content-banner>

  <mat-card class="mat-elevation-z0" style="background-color: #e8eaf6">
    <mat-card-header fxLayout="column" fxLayoutGap="25px">
      <app-client-banner></app-client-banner>
    </mat-card-header>
    <div class="content-spinner" *ngIf="isLoading">
      <mat-spinner></mat-spinner>
    </div>
    <section>
      <mat-card-content>
        <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex">
          <mat-tab>
            <ng-template matTabLabel>
              <span>Medical Diagnoses</span>
              <mat-icon *ngIf="tab1Status !== 2"
                [ngStyle]="{'color': tab1Status == 0 ? pendingColor : tab1Status == 1 ? completedColor :noColor}">
                {{tab1Status == 1?'check_circle': tab1Status == 0 ? 'watch_later': ''}}</mat-icon>
            </ng-template>
            <ng-template matTabContent>
              <mat-card class="mat-elevation-z0" style="padding: 7px">
                <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                  <div class="consent-container mat-elevation-z4">
                    <form [formGroup]="medicalDiagnosisGroup">
                      <div [class.disabled]="true" [ngClass]="{'old': toggle, 'new': !toggle}" class="old">
                        <app-diagnosis [name]="'Medical Diagnoses'"
                          [description]="'Provide Medical Diagnoses of the client as per latest Diagnostic and Statistical Manual of Mental Disorders (DSM) code and description'"
                          [hasDiagnosis]="hasMedicalDiagnosis" [options]="medicDiagnosis" [diagnosis]="mdList"
                          [allDiagnosisList]="diagnosisSearchList" (addDiagnosis)="addDiagnosisList($event)"
                          (removeDiagnosis)="removeDiagnosisList($event)" (diagnosisChanged)="diagnosisChanged($event)">
                        </app-diagnosis>

                        <mat-card [class.mat-elevation-z0]="true" style="margin-top: -5px;">
                          <mat-card-content>
                            <div style="margin-left: 20px;">

                              <div class="content-sub">
                                <mat-lable class="required-label-color">If medical disorders are listed above, do any of
                                  them limit activities of daily living?</mat-lable>
                                <mat-form-field style="padding-left: 25px; width: 150px;" appearance="outline">
                                  <mat-select formControlName="limitedDailyActivitiesCtrl"
                                    (selectionChange)="limitedActivitiesChanged()">
                                    <mat-option [value]="0">Select One</mat-option>
                                    <mat-option *ngFor="let r of limitActivitie" [value]="r.refGroupDetailID">
                                      {{r.refGroupDetailDescription}}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>

                              <br />
                              <div class="content-sub">
                                <mat-lable class="required-label-color">Does the applicant have a diagnosis of HIV/AIDS?
                                </mat-lable>
                                <mat-radio-group formControlName="diagnosisHIVCtrl" aria-label="Select an option"
                                  style="padding-left: 25px;">
                                  <mat-radio-button *ngFor="let itm of responseItemChk"
                                    (change)="diagnosisHIVChange($event)" [value]="itm.refGroupDetailID">
                                    {{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                                </mat-radio-group>
                              </div>

                              <br />
                              <br />
                              <div class="content-sub" *ngIf="isReceivingServicesVisible">
                                <mat-lable class="required-label-color">&nbsp;&nbsp;&nbsp; Is the Applicant currently
                                  receiving services
                                  with the HIV/AIDS administration?</mat-lable>
                                <mat-radio-group formControlName="receivingServicesCtrl" aria-label="Select an option"
                                  style="padding-left: 25px;">
                                  <mat-radio-button *ngFor="let itm of responseItemChk"
                                    (change)="receivingServiceChange($event)" [value]="itm.refGroupDetailID">
                                    {{itm.refGroupDetailDescription}}&nbsp;&nbsp;</mat-radio-button>
                                </mat-radio-group>
                              </div>
                              <br />
                            </div>
                          </mat-card-content>
                        </mat-card>
                      </div>
                    </form>
                  </div>
                </div>
              </mat-card>
            </ng-template>
          </mat-tab>

          <mat-tab>
            <ng-template matTabLabel>
              <span>Psychiatric Diagnoses</span>
              <mat-icon *ngIf="tab2Status !== 2"
                [ngStyle]="{'color': tab2Status == 0 ? pendingColor : tab2Status == 1 ? completedColor :noColor}">
                {{tab2Status == 1?'check_circle': tab2Status == 0 ? 'watch_later': ''}}</mat-icon>
            </ng-template>
            <ng-template matTabContent>
              <mat-card class="mat-elevation-z0" style="padding: 7px">
                <div class="consent-small-box mat-elevation-z4" fxLayout="column">
                  <div class="consent-container mat-elevation-z4">
                    <form [formGroup]="psychiatricDiagnosisGroup">
                      <app-diagnosis [name]="'Principal Diagnoses'"
                        [description]="'Provide Psychiatric Diagnoses of the client as per latest Diagnostic and Statistical Manual of Mental Disorders (DSM) code and description'"
                        [hasDiagnosis]="hasPrincipalDiagnosis" [options]="principalDiagnosis" [diagnosis]="pdList"
                        [allDiagnosisList]="diagnosisSearchList" (addDiagnosis)="addDiagnosisList($event)"
                        (removeDiagnosis)="removeDiagnosisList($event)" (diagnosisChanged)="diagnosisChanged($event)">
                      </app-diagnosis>

                      <app-diagnosis [name]="'Other Conditions that may be the focus of Clinical Attention'"
                        [description]="'Provide Diagnoses of any other conditions of the client as per latest Diagnostic and Statistical Manual of Mental Disorders (DSM) code and description'"
                        [hasDiagnosis]="hasOtherDiagnosis" [options]="otherDiagnosis" [diagnosis]="odList"
                        [allDiagnosisList]="diagnosisSearchList" (addDiagnosis)="addDiagnosisList($event)"
                        (removeDiagnosis)="removeDiagnosisList($event)" (diagnosisChanged)="diagnosisChanged($event)">
                      </app-diagnosis>
                    </form>
                  </div>
                </div>
              </mat-card>
            </ng-template>
          </mat-tab>

          <mat-tab>
            <ng-template matTabLabel>
              <span>AOT / ACT</span>
              <mat-icon *ngIf="tab3Status !== 2"
                [ngStyle]="{'color': tab3Status == 0 ? pendingColor : tab3Status == 1 ? completedColor :noColor}">
                {{tab3Status == 1?'check_circle': tab3Status == 0 ? 'watch_later': ''}}</mat-icon>
            </ng-template>
            <ng-template matTabContent>
              <div class="aot-act mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4">
                  <form [formGroup]="oACTOCTGroup">
                    <mat-card style="margin-top: 10px;">
                      <mat-card-header>
                        <mat-card-title>
                          <mat-label>Assisted Outpatient Treatment (AOT) / Assertive Community Treatment (ACT Team)
                          </mat-label>
                        </mat-card-title>
                      </mat-card-header>
                      <mat-card-content>
                        <mat-card [class.mat-elevation-z0]="true">
                          <mat-card-content>
                            <div fxLayout="column" class="regular-mat-form-field aot-content">
                              <div fxLayout="row" fxLayoutGap="10px" >
                                <mat-label class="required-label-color" >Is Client in Assisted Outpatient Treatment (AOT) program?</mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select formControlName="aOTProgramCtrl"
                                    (selectionChange)="aOTprogramCtrlChanged()">
                                    <mat-option *ngIf="true" [value]="0">Select One</mat-option>
                                    <mat-option *ngFor="let r of responseItem" [value]="r.refGroupDetailID">
                                      <div *ngIf="true">
                                        {{r.refGroupDetailDescription}}
                                      </div>
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div fxLayout="column" fxLayoutGap="10px" *ngIf="hasAOTProgram" style="margin-left: 20px;">
                                <mat-label>Select specific program name:</mat-label>
                                <div class="rows">
                                  <div fxLayout="row" fxLayoutGap="10px" style="margin-right: 10px;">
                                    <mat-label class="required-label-color">Program Name:</mat-label>
                                    <mat-form-field appearance="outline">
                                      <mat-select formControlName="aOTProgramNameCtrl"
                                        (selectionChange)="aOTprogramNameCtrlChanged()">
                                        <mat-option [value]="0">Select One</mat-option>
                                        <mat-option *ngFor="let r of aOTPrograms" [value]="r.programID">
                                          {{r.programName}}
                                        </mat-option>
                                      </mat-select>
                                    </mat-form-field>
                                  </div>
                                  <div fxLayout="row" fxLayoutGap="10px">
                                    <mat-label *ngIf="this.caDetails.aotProgramType > 0" class="lbl">Phone Number:</mat-label>
                                    <!-- <label>{{caDetails.aotPhoneNumber}}</label> -->
                                    <mat-form-field appearance="outline">
                                      <input matInput placeholder="{{caDetails.aotPhoneNumber}}" readonly>
                                    </mat-form-field>
                                  </div>
                                </div>
                              </div>
                              <mat-label>(If Applicant is or may be in Assisted Outpatient Treatment, provide
                                elaboration in the Psychiatric Evaluation & Psychosocial Summary.)</mat-label>
                              <div fxLayout="row" fxLayoutGap="10px">
                                <mat-label class="required-label-color">Is Client in Assertive Community Treatment (ACT Team)?</mat-label>
                                <mat-form-field appearance="outline">
                                  <mat-select formControlName="aCTProgramCtrl"
                                    (selectionChange)="aCTprogramCtrlChanged()">
                                    <mat-option *ngIf="true" [value]="0">Select One</mat-option>
                                    <mat-option *ngFor="let r of responseItem" [value]="r.refGroupDetailID">
                                      {{r.refGroupDetailDescription}}
                                    </mat-option>
                                  </mat-select>
                                </mat-form-field>
                              </div>
                              <div fxLayout="column" fxLayoutGap="10px" *ngIf="hasACTProgram" style="margin-left: 20px;">
                                <mat-label>Specify specific program name and phone number:</mat-label>
                                <div class="rows">
                                  <div fxLayout="row" fxLayoutGap="10px" style="margin-right: 10px;">
                                    <mat-label class="required-label-color">Program Name:</mat-label>
                                    <mat-form-field style="width: 414px;padding-left: 25px;" appearance="outline">
                                      <input matInput name="aCTProgramName" formControlName="aCTProgramNameCtrl"
                                        required maxlength="50" (keyup)="aCTProgramNameName()">
                                    </mat-form-field>
                                  </div>
                                  <div fxLayout="row" fxLayoutGap="10px">
                                    <mat-label>Phone Number:</mat-label>
                                    <mat-form-field appearance="outline">
                                      <input matInput name="aCTPhoneNumber" formControlName="aCTPhoneNumberCtrl"
                                        mask="000-000-0000" [showMaskTyped]="true">
                                    </mat-form-field>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </mat-card-content>
                        </mat-card>
                      </mat-card-content>
                    </mat-card>
                  </form>
                </div>
              </div>
            </ng-template>
          </mat-tab>

          <mat-tab>
            <ng-template matTabLabel>
              <span>Medical Documents</span>
            </ng-template>
            <ng-template matTabContent>
              <mat-card class="mat-elevation-z0" style="padding: 7px">
                <app-document [preSelectedDocType]="54">
                </app-document>
              </mat-card>
            </ng-template>
          </mat-tab>

        </mat-tab-group>
      </mat-card-content>
    </section>
  </mat-card>

  <app-nav-footer (Savebtn)="onSave(true)" (Previousbtn)="previousTab()" (Nextbtn)="nextTab()"
    [isSaveRequired]="tabSelectedIndex !== 3 ? true : false"></app-nav-footer>

</div>
